Get ESI dashboard stats.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"stats": {
"asset_kind_counts": [
{
"count": 1,
"key": "<string>"
}
],
"finding_severity_counts": [
{
"count": 1,
"key": "<string>"
}
],
"finding_status_counts": [
{
"count": 1,
"key": "<string>"
}
],
"generated_at": "2023-11-07T05:31:56Z",
"inventory_status_counts": [
{
"count": 1,
"key": "<string>"
}
],
"recent_inventory_rollups": [
{
"added_count": 1,
"approved_count": 1,
"computed_at": "2023-11-07T05:31:56Z",
"day": "2023-12-25",
"dimension": "<string>",
"dimension_value": "<string>",
"ignored_count": 1,
"is_final": true,
"removed_count": 1,
"total_count": 1,
"source_max_at": "2023-11-07T05:31:56Z",
"source_min_at": "2023-11-07T05:31:56Z",
"watermark_at": "2023-11-07T05:31:56Z"
}
],
"service_protocol_counts": [
{
"count": 1,
"key": "<string>"
}
],
"totals": {
"asns": 1,
"assets": 1,
"certificates": 1,
"contacts": 1,
"domains": 1,
"findings": 1,
"ip_addresses": 1,
"ip_blocks": 1,
"open_findings": 1,
"open_secret_findings": 1,
"pages": 1,
"secret_findings": 1,
"services": 1,
"subdomains": 1
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Project overview
Get ESI dashboard stats.
Returns schema-backed inventory, service, generic finding, secret finding, and recent inventory rollup data for the authenticated project. Secret findings share the esi.findings.view scope.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
dashboard
/
stats
Get ESI dashboard stats.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/dashboard/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"stats": {
"asset_kind_counts": [
{
"count": 1,
"key": "<string>"
}
],
"finding_severity_counts": [
{
"count": 1,
"key": "<string>"
}
],
"finding_status_counts": [
{
"count": 1,
"key": "<string>"
}
],
"generated_at": "2023-11-07T05:31:56Z",
"inventory_status_counts": [
{
"count": 1,
"key": "<string>"
}
],
"recent_inventory_rollups": [
{
"added_count": 1,
"approved_count": 1,
"computed_at": "2023-11-07T05:31:56Z",
"day": "2023-12-25",
"dimension": "<string>",
"dimension_value": "<string>",
"ignored_count": 1,
"is_final": true,
"removed_count": 1,
"total_count": 1,
"source_max_at": "2023-11-07T05:31:56Z",
"source_min_at": "2023-11-07T05:31:56Z",
"watermark_at": "2023-11-07T05:31:56Z"
}
],
"service_protocol_counts": [
{
"count": 1,
"key": "<string>"
}
],
"totals": {
"asns": 1,
"assets": 1,
"certificates": 1,
"contacts": 1,
"domains": 1,
"findings": 1,
"ip_addresses": 1,
"ip_blocks": 1,
"open_findings": 1,
"open_secret_findings": 1,
"pages": 1,
"secret_findings": 1,
"services": 1,
"subdomains": 1
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I